<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css">
    <title>Patient List</title>
    <style>
        .action-buttons {
            display: none;
        }

        tr:hover .action-buttons {
            display: inline-block;
        }
    </style>
</head>
<body>
<div class="container">
    <h1 class="display-3">Patient List</h1>
    <table class="table table-striped table-hover">
        <thead>
        <tr class="align-middle">
            <th style="width: 17%; height: 30px">Last Name</th>
            <th style="width: 17%;">First Name</th>
            <th style="width: 17%;">Date of Birth</th>
            <th style="width: 10%;">Gender</th>
            <th style="width: 17%;">Address</th>
            <th style="width: 17%;">Phone number</th>
            <th style="width: 5%;"></th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="patient: ${patients}" class="align-middle" style="height: 60px">
            <td style="width: 17%;" th:text="${patient.lastName()}">Minot</td>
            <td style="width: 17%;" th:text="${patient.firstName()}">Victor</td>
            <td style="width: 17%;" th:text="${patient.dateOfBirth()}">17/05/2020</td>
            <td style="width: 10%;"><span th:text="${patient.gender()}" class="badge bg-secondary">M</span></td>
            <td style="width: 17%;" th:text="${patient.address().number()} + ' ' + ${patient.address().streetName()}">10 Route du fief</td>
            <td style="width: 17%;" th:text="${patient.phoneNumber()}">No phone Number</td>
            <td style="width: 5%;">
                <a class="btn btn-outline-primary action-buttons rounded-circle" th:href="@{/patient/{id}(id=${patient.id()})}"><i class="bi bi-eye-fill"></i></a>
            </td>
        </tr>
        </tbody>
    </table>
    <a class="btn btn-success" th:href="@{/createPatient}">Add a patient</a>
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz"
        crossorigin="anonymous"></script>

</body>
</html>